function OnSceneEnter()
print(self:GetName(), "Scene Enetered")
 --rozpoczecie dialogu przy pierwszym wejsciu
	if s.i_key_bars==1 and s.com_s03_0121_01_hero==0 then
		Sleep(500)
		Talk("com_s03_0121_01_hero")
	end
	if s.i_key_bars==0 and s.com_s03_0121_02_hero==0  then
		Sleep(500)
		Talk("com_s03_0121_02_hero")
	end
end